<?php

$url = function()
{
	$url = Dever::input('loading') ? 'loading=1' : '';
	$url .= Dever::input('ms') ? '&ms=' . Dever::input('ms') : '';

	return $url;
};

# 一些基本配置
$config['base'] = array
(
	'url' => $url(),

	# 针对管理系统的配置，开启这个则每次刷新都读取admin的最新数据，测试功能
	'getAdmin' => true,

	# 开启批量更新
	'mul_type' => 1,

	# 地图配置
	'map' => array
	(
		'url' => 'https://webapi.amap.com/maps?v=1.4.8&key=b51a0d5f8f977726eeaa070a30bcf3cd',
	),

	# 后台管理的数据执行权限的设置
	'manageAuthData' => '',

	# 后台左侧主菜单，定义了这个之后，所有deverapp中的project建立主菜单功能将失效
	/*
	'menu' => array
	(
		# 菜单名
		'demand' => array
		(
			# 菜单名称
			'name' => '需求管理',
			# 哪些项目包含进来，多个用逗号隔开，直接把该项目中的database放到该菜单下
			'project' => 'demand,service',
			# 菜单图标 直接使用哪个project的图标
			'icon' => 'demand',
			# 排序
			'order' => 100,
		),

		'main' => array
		(
			# 菜单名称
			'name' => '系统设置',
			# 哪些项目包含进来，多个用逗号隔开，直接把该项目中的database放到该菜单下
			'project' => 'main,score,attr,category',
			# 菜单图标 直接使用哪个project的图标
			'icon' => 'main',
			# 排序
			'order' => 99,
		),
	)
	*/
);

# 模板配置
$config['template'] = array
(
	# 使用的模板 注意：定义这个之后，将会强制将本项目模板变成这个

	'assets' => 'moltran',
	'template' => 'default',

	//'assets' => 'layadmin',
	
	# 替换设置 一般用于替换资源，将模板中的（html中的）js等相对url换成绝对url，如果不定义，则默认为../js这样的
	'replace' => array
	(
		'css' => '../css/',
		'lib' => '../lib/',
		'img' => '../img/',
		'images' => '../images/',
		'js' => '../js/',
		'script' => '../script/',

		# 以下的替换主要用于合并操作(host里的merge项)
		'font' => '../fonts/',
	),

	'path' => 'html',

	# 是否启用layout 如启用，填写要替换的class或者id即可，具体效果可参考youtube，只加载部分内容，前端请加载pjax.js
	'layout' => '.content',
);

if ($config['template']['assets'] == 'layadmin') {
	$config['template']['layout'] = '';
	$config['template']['template'] = $config['template']['assets'];
}

return $config;