<?php

return array
(
	# 表名
	'name' => 'menu_func',
	# 显示给用户看的名称
	'lang' => '菜单子功能',
	'order' => 2,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '功能ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '功能名称',
			'default' 	=> '',
			'desc' 		=> '请输入功能名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'order,fulltext',
			'list'		=> true,
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '功能标识',
			'default' 	=> '',
			'desc' 		=> '功能标识',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
			//'modal'		=> 'test',
		),

		'menu_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '菜单id',
			'default' 	=> 1,
			'desc' 		=> '菜单id',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'select',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序-数字越小越靠前',
			'default' 	=> '100',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'asc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
